package birt.test;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ContextListener implements ServletContextListener {
	
	private static final Logger logger = LoggerFactory.getLogger(ContextListener.class);
	private ServletContext context;

	@Override
	public void contextDestroyed(ServletContextEvent event) {
		logger.info("Destroying BIRT report engine");
		context = null;
		BirtEngine.destroyBirtEngine();
	}

	@Override
	public void contextInitialized(ServletContextEvent event) {
		logger.info("Initializing BIRT report engine");
		context = event.getServletContext();
		BirtEngine.initBirtEngine(context);
	}

}
